/*=========================================
 * Print all Formats
 *=========================================
 * 12. december 2018  W.Spahn
 * 
 * http://dernulleffekt.de
 *
 */

int x = 0;    // variable

void setup() {
  Serial.begin(9600);      // open the serial port with 9600 bps  
}

void loop() {  
  // print the labels 
  Serial.print("NO FORMAT");       // prints a label
  Serial.print("\t");              // prints a tab

  Serial.print("DEC");  
  Serial.print("\t");      

  Serial.print("HEX"); 
  Serial.print("\t");   

  Serial.println("BIN");

  for(x=0; x< 64; x++){    // count up to 64, increase x by one and ...
    // ... print x out in many formats:
    Serial.print("\t");    // prints a tab
    Serial.print(x);       // print as an ASCII-encoded decimal - same as "DEC"
    Serial.print("\t");    // prints a tab

    Serial.print(x, DEC);  // print as an ASCII-encoded decimal
    Serial.print("\t");    // prints a tab

    Serial.print(x, HEX);  // print as an ASCII-encoded hexadecimal
    Serial.print("\t");    // prints a tab

    Serial.print(x, BIN);  // print as an ASCII-encoded binary
    Serial.println("");    // then adds the carriage return with "println"
    
    delay(200);            // delay 200 milliseconds
  }
  Serial.println("");      // prints another carriage return
}
